## cryptui-key-list

cryptui-key-list

## Functions

GtkTreeView * | cryptui_key_list_new ()
void | cryptui_key_list_setup ()
CryptUIKeyStore * | cryptui_key_list_get_key_store ()
CryptUIKeyset * | cryptui_key_list_get_keyset ()
gboolean | cryptui_key_list_have_selected_keys ()
GList * | cryptui_key_list_get_selected_keys ()
void | cryptui_key_list_set_selected_keys ()
const gchar * | cryptui_key_list_get_selected_key ()
void | cryptui_key_list_set_selected_key ()

## Description

## Functions

### cryptui_key_list_new ()

    GtkTreeView *
    cryptui_key_list_new (CryptUIKeyStore *ckstore,
                          guint flags);

Creates a new key list widget displaying keys from the key store that match the given flags.

#### Parameters

ckstore | a CryptUIKeyStore containing keys to list |
flags | CryptUIKeyFlags indicating which keys from the store to list |

#### Returns

the new key list widget

### cryptui_key_list_setup ()

    void
    cryptui_key_list_setup (GtkTreeView *view,
                            CryptUIKeyStore *ckstore,
                            guint flags);

Changes an existing GtkTreeView into a CryptUIKeyList using the key store as the model and the filters the view based on the given flags.

#### Parameters

view | an existing tree view to be turned into a CryptUIKeyList |
ckstore | a CryptUIKeyStore containing keys to list |
flags | CryptUIKeyFlags indicating which keys from the store to list |

### cryptui_key_list_get_key_store ()

    CryptUIKeyStore *
    cryptui_key_list_get_key_store (GtkTreeView *list);

Gets the CryptuiKeyStore used as a model by the CryptuiKeyList

#### Parameters

list | a CryptUIKeyList |

#### Returns

a CryptUIKeyList

### cryptui_key_list_get_keyset ()

    CryptUIKeyset *
    cryptui_key_list_get_keyset (GtkTreeView *list);

Gets the keyset from the key store set as the model in the list

#### Parameters

list | a CryptUIKeyList |

#### Returns

a CryptUIKeyset

### cryptui_key_list_have_selected_keys ()

    gboolean
    cryptui_key_list_have_selected_keys (GtkTreeView *list);

Used to determine if any keys have been selected

#### Parameters

list | a CryptUIKeyList |

#### Returns

TRUE if keys have been selected, FALSE otherwise

### cryptui_key_list_get_selected_keys ()

    GList *
    cryptui_key_list_get_selected_keys (GtkTreeView *list);

Gets the kyes selected in the list

#### Parameters

list | a CryptUIKeyList |

#### Returns

a list of selected keys

### cryptui_key_list_set_selected_keys ()

    void
    cryptui_key_list_set_selected_keys (GtkTreeView *list,
                                        GList *keys);

Selects the given list of keys in the list

#### Parameters

list | a CryptUIKeyList |
keys | a list of CryptUI keys |

### cryptui_key_list_get_selected_key ()

    const gchar *
    cryptui_key_list_get_selected_key (GtkTreeView *list);

#### Parameters

list | a CryptUIKeyList |

#### Returns

the selected key

### cryptui_key_list_set_selected_key ()

    void
    cryptui_key_list_set_selected_key (GtkTreeView *list,
                                       const gchar *key);

Selects the given key in the list widget

#### Parameters

list | a CryptUIKeyList |
key | the key to set |